// ConsoleApplication2.cpp : Defines the entry point for the console application.
//

#include "stdafx.h"
#include "iostream"
using namespace std;
typedef struct normal
{
	unsigned int _1;
	unsigned int _2;
	unsigned int _3;
}n;
typedef struct bit_paketi
{
	unsigned int _1:1;
	unsigned int _2:2;
	unsigned int _3:3;
}paket;
int _tmain(int argc, _TCHAR* argv[])
{
	cout<<sizeof(n)<<endl;
	cout<<sizeof(paket)<<endl;
	n s1;
	paket s2;
	s1._1=15;
	s1._2=15;
	s1._3=15;
	s2._1=15;
	s2._2=15;
	s2._3=15;
	cout<<s1._1<<"\t"<<s1._2<<"\t"<<s1._3<<endl<<endl;
	cout<<s2._1<<"\t"<<s2._2<<"\t"<<s2._3<<endl<<endl;
	system("pause");
	return 0;
}

